# BBCOMBOTEST

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bbcombotest - Xymon combination test tool

## SYNOPSIS

bbcombotest --help
bbcombotest --version
bbcombotest [--debug] [--quiet]

## DESCRIPTION

bbcombotest is a Xymon extension script that runs on the BBDISPLAY server. It combines the results of one or more of the normal Xymon test results into a combined test result, using standard arithmetic og logical operators.

The resulting tests are sent to the Xymon display server as any normal test - so all of the standard Xymon functions (history, statistics etc.) are available for the combined tests.

The tool was born from the need to monitor systems with built-in redundancy and automatic failover - e.g. load-balanced web servers. But other uses are possible.

## OPTIONS

--quiet
  Normally, the test status sent by bbcombotest includes information about the underlying test results used to determine the current value of the combined test. "--quiet" eliminates this information from the test status page.

--debug
  Provide debugging output for use in troubleshooting problems with bbcombotest.

--no-update
  Dont send any status messages - instead, the result of the combotests is simply dumped to stdout. Useful for debugging.

## FILES

$BBHOME/etc/bbcombotest.cfg
  Configuration file for bbcombotest, where the combined tests are defined
$BBHOME/etc/hobbitlaunch.cfg
  Configuration file controlling when bbcombotest is run.

## SEE ALSO

bbcombotest.cfg(5), bb-hosts(5), hobbitserver.cfg(5), hobbitlaunch.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008